extends Node2D

var bg_sprite

signal on_scene_ready
signal on_scene_start

func _ready():
	
	# internal state
	var new_sprite = Sprite.new()
	new_sprite.name = "background"
	new_sprite.centered = false
	add_child(new_sprite)
	bg_sprite = new_sprite
	
	if not Game.game_started:
		Game.game_started = true
		emit_signal("on_scene_ready")
		on_scene_start()
	else:
		emit_signal("on_scene_ready")
	

func on_scene_start():
	emit_signal("on_scene_start")

func set_background(bg_tex):
	bg_sprite.texture = bg_tex